<ng-container *ngFor="let stackCode of stackCodes">
  <table class="table mt-5">
    <thead>
    <tr>
      <th colspan="2">{{stackCode}}</th>
      <td>
        <button class="btn btn-outline-primary" (click)="addToStack(stackCode)">
          Add
        </button>
        <button class="ms-1 btn btn-outline-danger" (click)="purge(stackCode)">
          Purge
        </button>
      </td>
    </tr>
    </thead>
    <tbody>
    <tr>
      <th>Total items</th>
      <td colspan="2">{{codeToItemIds[stackCode].length}}</td>
    </tr>
    <tr *ngFor="let itemId of codeToItemIds[stackCode]; index as i">
      <th *ngIf="i === 0" [rowSpan]="codeToItemIds[stackCode].length">
        Items
      </th>
      <td>
        {{itemId}}
      </td>
      <td>
        <button class="btn btn-outline-danger"
                (click)="deleteFromStack(stackCode, itemId)">
          Remove
        </button>
      </td>
    </tr>
    </tbody>
  </table>

</ng-container>
